Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_FlowConnection Class Reference

This class currently supports only one producer and one consumer per flow. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_FlowConnection

[legend]
Collaboration diagram for TAO_FlowConnection:

[legend]
List of all members.

## Public Methods
| TAO_FlowConnection (void)
| default constructor.
virtual void | stop (CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
| stop this flow.
virtual void | start (CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
| start this flow.
virtual void | destroy (CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
| destroy this flow.
virtual CORBA::Boolean | modify_QoS (AVStreams::QoS & new_qos, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::QoSRequestFailed)
| modify the QoS for this flow.
virtual CORBA::Boolean | use_flow_protocol (const char * fp_name, const CORBA::Any & fp_settings, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::FPError, AVStreams::notSupported)
| use the specified flow protocol for this flow.
virtual void | push_event (const AVStreams::streamEvent & the_event, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
| pushes an event , to be handled by the application.
virtual CORBA::Boolean | connect_devs (AVStreams::FDev_ptr a_party, AVStreams::FDev_ptr b_party, AVStreams::QoS & the_qos, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::QoSRequestFailed)
| connect 2 Flow Devices.
virtual CORBA::Boolean | connect (AVStreams::FlowProducer_ptr flow_producer, AVStreams::FlowConsumer_ptr flow_consumer, AVStreams::QoS & the_qos, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::formatMismatch, AVStreams::FEPMismatch, AVStreams::alreadyConnected)
| Connect a flow producer and consumer under this flow connection.
virtual CORBA::Boolean | disconnect (CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException)
| disconnect this flow connection.
virtual CORBA::Boolean | add_producer (AVStreams::FlowProducer_ptr flow_producer, AVStreams::QoS & the_qos, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::alreadyConnected, AVStreams::notSupported)
| adds the producer to this flow connection.
virtual CORBA::Boolean | add_consumer (AVStreams::FlowConsumer_ptr flow_consumer, AVStreams::QoS & the_qos, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::alreadyConnected)
| adds a consumer to this flow connection.
virtual CORBA::Boolean | drop (AVStreams::FlowEndPoint_ptr target, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::notConnected)
| drops a flow endpoint from the flow.
int | set_mcast_addr (ACE_CString addr,u_short port)
void | set_protocol (const char *protocol)
## Protected Types
typedef ACE_Unbounded_Set< AVStreams::FlowProducer_ptr> | FlowProducer_Set
typedef ACE_Unbounded_Set_Iterator< AVStreams::FlowProducer_ptr> | FlowProducer_SetItor
typedef ACE_Unbounded_Set< AVStreams::FlowConsumer_ptr> | FlowConsumer_Set
typedef ACE_Unbounded_Set_Iterator< AVStreams::FlowConsumer_ptr> | FlowConsumer_SetItor
## Protected Attributes
FlowProducer_Set | flow_producer_set_
| The multicast address returned by the producer.
FlowConsumer_Set | flow_consumer_set_
CORBA::String_var | fp_name_
CORBA::Any | fp_settings_
CORBA::String_var | producer_address_
int | ip_multicast_
| IP Multicasting is used.
TAO_MCastConfigIf* | mcastconfigif_i_
AVStreams::MCastConfigIf_var | mcastconfigif_
u_short | mcast_port_
ACE_CString | mcast_addr_
CORBA::String_var | protocol_

## Detailed Description

This class currently supports only one producer and one consumer per flow.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<AVStreams::FlowConsumer_ptr> TAO_FlowConnection::FlowConsumer_Set`[protected]`

typedef ACE_Unbounded_Set_Iterator<AVStreams::FlowConsumer_ptr> TAO_FlowConnection::FlowConsumer_SetItor`[protected]`

typedef ACE_Unbounded_Set<AVStreams::FlowProducer_ptr> TAO_FlowConnection::FlowProducer_Set`[protected]`

typedef ACE_Unbounded_Set_Iterator<AVStreams::FlowProducer_ptr> TAO_FlowConnection::FlowProducer_SetItor`[protected]`

## Constructor & Destructor Documentation

TAO_FlowConnection::TAO_FlowConnection ( | void )

| default constructor.

## Member Function Documentation

CORBA::Boolean TAO_FlowConnection::add_consumer ( | AVStreams::FlowConsumer_ptr flow_consumer,
| AVStreams::QoS & the_qos,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::alreadyConnected)`[virtual]`

| adds a consumer to this flow connection.

CORBA::Boolean TAO_FlowConnection::add_producer ( | AVStreams::FlowProducer_ptr flow_producer,
| AVStreams::QoS & the_qos,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::alreadyConnected, AVStreams::notSupported)`[virtual]`

| adds the producer to this flow connection.

CORBA::Boolean TAO_FlowConnection::connect ( | AVStreams::FlowProducer_ptr flow_producer,
| AVStreams::FlowConsumer_ptr flow_consumer,
| AVStreams::QoS & the_qos,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::formatMismatch, AVStreams::FEPMismatch, AVStreams::alreadyConnected)`[virtual]`

| Connect a flow producer and consumer under this flow connection.

CORBA::Boolean TAO_FlowConnection::connect_devs ( | AVStreams::FDev_ptr a_party,
| AVStreams::FDev_ptr b_party,
| AVStreams::QoS & the_qos,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::QoSRequestFailed)`[virtual]`

| connect 2 Flow Devices.

void TAO_FlowConnection::destroy ( | CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

| destroy this flow.

CORBA::Boolean TAO_FlowConnection::disconnect ( | CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

| disconnect this flow connection.

CORBA::Boolean TAO_FlowConnection::drop ( | AVStreams::FlowEndPoint_ptr target,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::notConnected)`[virtual]`

| drops a flow endpoint from the flow.

CORBA::Boolean TAO_FlowConnection::modify_QoS ( | AVStreams::QoS & new_qos,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::QoSRequestFailed)`[virtual]`

| modify the QoS for this flow.

void TAO_FlowConnection::push_event ( | const AVStreams::streamEvent & the_event,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

| pushes an event , to be handled by the application.

int TAO_FlowConnection::set_mcast_addr ( | ACE_CString mcast_addr,
| u_short mcast_port )

void TAO_FlowConnection::set_protocol ( | const char * protocol )

void TAO_FlowConnection::start ( | CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

| start this flow.

void TAO_FlowConnection::stop ( | CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException)`[virtual]`

| stop this flow.

CORBA::Boolean TAO_FlowConnection::use_flow_protocol ( | const char * fp_name,
| const CORBA::Any & fp_settings,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::FPError, AVStreams::notSupported)`[virtual]`

| use the specified flow protocol for this flow.

## Member Data Documentation

FlowConsumer_Set TAO_FlowConnection::flow_consumer_set_`[protected]`

FlowProducer_Set TAO_FlowConnection::flow_producer_set_`[protected]`

| The multicast address returned by the producer.

CORBA::String_var TAO_FlowConnection::fp_name_`[protected]`

CORBA::Any TAO_FlowConnection::fp_settings_`[protected]`

int TAO_FlowConnection::ip_multicast_`[protected]`

| IP Multicasting is used.

ACE_CString TAO_FlowConnection::mcast_addr_`[protected]`

u_short TAO_FlowConnection::mcast_port_`[protected]`

AVStreams::MCastConfigIf_var TAO_FlowConnection::mcastconfigif_`[protected]`

TAO_MCastConfigIf * TAO_FlowConnection::mcastconfigif_i_`[protected]`

CORBA::String_var TAO_FlowConnection::producer_address_`[protected]`

CORBA::String_var TAO_FlowConnection::protocol_`[protected]`

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp